import "../styles/globals.css";
import type { AppProps } from "next/app";
import { ThemeProvider } from "styled-components";
import { InvertedTheme } from "@equilab/ui-curated";
import Head from "next/head";

function MyApp({ Component, pageProps }: AppProps) {
  return (
    <>
      <Head>
        <title>Luminous AF</title>
        <script
          async
          src="https://www.googletagmanager.com/gtag/js?id=G-EME4Z95BLQ"
        ></script>
        <script
          dangerouslySetInnerHTML={{
            __html: `
              window.dataLayer = window.dataLayer || [];
              function gtag(){dataLayer.push(arguments);}
              gtag('js', new Date());

              gtag('config', 'G-EME4Z95BLQ');
            `,
          }}
        />
      </Head>
      <ThemeProvider theme={InvertedTheme}>
        <Component {...pageProps} />
      </ThemeProvider>
    </>
  );
}

export default MyApp;
